#!/bin/bash
set -e
set -u

######################
## VARIABLES
######################

USER_HOME=$( getent passwd "$USER" | cut -d: -f6 )
SMARTKIT_DIR="$USER_HOME/smartkit"
SMARTKIT_REPO_DIR="$SMARTKIT_DIR/repository"
SMARTKIT_BACKUP_DIR="$SMARTKIT_DIR/backup"
SMARTKIT_WEBUP_DIR="$SMARTKIT_DIR/smartkit-printing-service"

parent_path=$(readlink -f "$0")
CURRENT_SCRIPT_DIR=$(dirname "$parent_path")

######################
## FUNCTIONS
######################

##------------------------------------------------------------------
## Main
##------------------------------------------------------------------

if [ ! -d "$SMARTKIT_WEBUP_DIR" ]; then
	mkdir -p "$SMARTKIT_WEBUP_DIR"
fi

if [ ! -d "$SMARTKIT_REPO_DIR" ]; then
	mkdir -p "$SMARTKIT_REPO_DIR"
fi

if [ ! -d "$SMARTKIT_BACKUP_DIR" ]; then
	mkdir -p "$SMARTKIT_BACKUP_DIR"
fi

if [ -f "$SMARTKIT_WEBUP_DIR/version.info" ]; then
	echo "Found an old version of smartkit-printing-service. Update it's scripts and docs (y/n)?"
	read answer
	if [ "$answer" != "${answer#[Yy]}" ] ;then
		rm -fr $SMARTKIT_WEBUP_DIR/scripts
	else
    	exit 0
    fi
fi 

mkdir -p "$SMARTKIT_WEBUP_DIR"
cp -R $CURRENT_SCRIPT_DIR/src/scripts $SMARTKIT_WEBUP_DIR
cp -R $CURRENT_SCRIPT_DIR/version.info $SMARTKIT_WEBUP_DIR
cp -R $CURRENT_SCRIPT_DIR/docs $SMARTKIT_WEBUP_DIR
cp -R $CURRENT_SCRIPT_DIR/README.md $SMARTKIT_WEBUP_DIR
cd $SMARTKIT_WEBUP_DIR
find . -name "*.sh" -exec chmod +x {} \;
echo "smartkit-printing-service installed. Launch $SMARTKIT_WEBUP_DIR/scripts/smart.sh to manage smartkit-printing-service"








